GELF_GETLIB(3)

NAME
gelf_getlib - Get prelink library from table at the given index

SYNOPSIS
#include <gelf.h>
GElf_Lib *gelf_getlib (Elf_Data *data, int ndx, GElf_Lib *dst);

DESCRIPTION
Retrieve a prelink library table entry from data at index ndx and store it in the class-independent representation pointed to by dst.

data must be an Elf_Data* associated with a section of type SHT_GNU_LIBLIST. data->d_type should be ELF_T_LIB. SHT_GNU_LIBLIST sections are used by the prelink utility. See https://sourceware.org/gnu-gabi/prelink.txt for more information.

PARAMETERS

data
    Pointer to an Elf_Data of a section with type SHT_GNU_LIBLIST. data->d_type should be ELF_T_LIB.

ndx Zero-based index of the requested prelink library table entry within data.

dst Pointer to a caller-provided GElf_Lib structure for storing the requested prelink library table entry. Must not be NULL.

RETURN VALUE
On success, this function updates dst with the requested prelink library table entry and returns dst. On failure, it returns NULL and sets elf_errno. If data is NULL, then NULL is returned without setting elf_errno.

SEE ALSO
gelf_update_lib(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.

HISTORY
gelf_getlib first appeared in elfutils 0.95. This function is an elfutils libelf extension and may not be available in other libelf implementations.